Package org.apache.commons.math3.stat.clustering

# Class EuclideanDoublePoint

java.lang.Object
org.apache.commons.math3.stat.clustering.EuclideanDoublePoint

All Implemented Interfaces:
  `Serializable`, `Clusterable<EuclideanDoublePoint>`

@Deprecated public class EuclideanDoublePoint extends Object implements Clusterable<EuclideanDoublePoint>, Serializable
Deprecated.
As of 3.2 (to be removed in 4.0), use `DoublePoint` instead
A simple implementation of `Clusterable` for points with double coordinates.

Since:
  3.1
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EuclideanDoublePoint(double[] point)`
Deprecated.
Build an instance wrapping an integer array.

## Method Summary

Modifier and Type
Method
Description
`EuclideanDoublePoint`
`centroidOf(Collection<EuclideanDoublePoint> points)`
Deprecated.
Returns the centroid of the given Collection of points.
`double`
`distanceFrom(EuclideanDoublePoint p)`
Deprecated.
Returns the distance from the given point.
`boolean`
`equals(Object other)`
Deprecated.
`double[]`
`getPoint()`
Deprecated.
Get the n-dimensional point in integer space.
`int`
`hashCode()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EuclideanDoublePoint

public EuclideanDoublePoint(double[] point)
Deprecated.
Build an instance wrapping an integer array.

The wrapped array is referenced, it is not copied.

Parameters:
  `point` - the n-dimensional point in integer space

## Method Details

### centroidOf

public EuclideanDoublePoint centroidOf(Collection<EuclideanDoublePoint> points)
Deprecated.
Returns the centroid of the given Collection of points.

Specified by:
  `centroidOf` in interface `Clusterable<EuclideanDoublePoint>`
Parameters:
  `points` - the Collection of points to compute the centroid of
Returns:
  the centroid of the given Collection of Points

### distanceFrom

public double distanceFrom(EuclideanDoublePoint p)
Deprecated.
Returns the distance from the given point.

Specified by:
  `distanceFrom` in interface `Clusterable<EuclideanDoublePoint>`
Parameters:
  `p` - the point to compute the distance from
Returns:
  the distance from the given point

### equals

public boolean equals(Object other)
Deprecated.

Overrides:
  `equals` in class `Object`

### getPoint

public double[] getPoint()
Deprecated.
Get the n-dimensional point in integer space.

Returns:
  a reference (not a copy!) to the wrapped array

### hashCode

public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`